Update App Canvas
Update App Canvas
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
canvas_id
Request
This endpoint expects an object.
blocks
data
Additional data to associate with the canvas. Can be useful for persisting data associated with the canvas but won't be rendered to the user. If specified, it must be valid JSON in string format less than 5kb in total.
enabled
Overall control for whether the canvas is interactable or not. If false, every block is disabled and will override the individual block’s enabled property. If true or absent, the interactivity status will defer to the block’s enabled property.
featureId
Identifier of the feature defined in Benchling App Manifest this canvas corresponds to.
resourceId
Identifier of the resource object to attach canvas to.
sessionId
Identifier of a session. If specified, app status messages from the session will be reported in the canvas.
Response
OK
blocks
archiveRecord
data
Additional data to associate with the canvas. Can be useful for persisting data associated with the canvas but won't be rendered to the user. If specified, it must be valid JSON in string format less than 5kb in total.
enabled
Overall control for whether the canvas is interactable or not. If false, every block is disabled and will override the individual block’s enabled property. If true or absent, the interactivity status will defer to the block’s enabled property.
featureId
Identifier of the feature defined in Benchling App Manifest this canvas corresponds to.
resourceId
Identifier of the resource object to attach canvas to.
sessionId
Identifier of a session. If specified, app status messages from the session will be reported in the canvas.
app
id
Errors
403
Forbidden Error
404
Not Found Error